#include "bsp_chipid.h"

uint32_t ChipUniqueID[3];

/*
 * 函数名：Get_ChipID
 * 描述  ：获取芯片ID
 * 输入  ：无
 * 输出  ：无
 */
void Get_ChipID(void)
{
	ChipUniqueID[0] = *(__IO u32 *)(0X1FFFF7F0); // 高字节
	ChipUniqueID[1] = *(__IO u32 *)(0X1FFFF7EC); //
	ChipUniqueID[2] = *(__IO u32 *)(0X1FFFF7E8); // 低字节
}

void WDOG_Init()
{
	// 使能 预分频寄存器PR和重装载寄存器RLR可写
	IWDG_WriteAccessCmd(IWDG_WriteAccess_Enable);
	// 设置预分频器值
	IWDG_SetPrescaler(IWDG_Prescaler_16); // IWDG 1s 超时溢出40k/16/2500= 1s
	// 设置重装载寄存器值
	IWDG_SetReload(0xfff);
	// 把重装载寄存器的值放到计数器中
	IWDG_ReloadCounter();
	// 使能 IWDG
	IWDG_Enable();
}
